#include <bits/stdc++.h>

using namespace std;

typedef long long ll;

#define forn(i, n) for (int i = 0; i < int(n); i++)
#define forn1(i, n) for (int i = 1; i < int(n); i++)
#define all(c) (c).begin(), (c).end()
#define pb push_back
#define MOD 1000000007 // 998244353
#define FIO                \
    ios::sync_with_stdio(false); \
    cin.tie(0);                  \
    cout.tie(0);

int main()
{
	FIO
	ll n; cin >> n;
	vector<pair<ll, ll>> v(n);
	forn(i, n)
		cin >> v[i].first >> v[i].second;
	
	// 1 2 3
	ll prvi = abs(v[0].first*(v[1].second - v[2].second) + v[1].first*(v[2].second - v[0].second) +
	v[2].first*(v[0].second - v[1].second)) / 2;
	// 1 2 4
	ll drugi = abs(v[0].first*(v[1].second - v[3].second) + v[1].first*(v[3].second - v[0].second) +
	v[3].first*(v[0].second - v[1].second)) / 2;
	// 2 3 4
	ll treci = abs(v[3].first*(v[1].second - v[2].second) + v[1].first*(v[2].second - v[3].second) +
	v[2].first*(v[3].second - v[1].second)) / 2;
	// 1 3 4
	ll cetvrti = abs(v[3].first*(v[0].second - v[2].second) + v[0].first*(v[2].second - v[3].second) +
	v[2].first*(v[3].second - v[0].second)) / 2;
	cout << min(min(prvi, drugi), min(treci, cetvrti));
	
}